﻿#language: ru

@milk_reception

Функционал: 01_milk_reception.01.002 Создание пользователей

Сценарий: 01_milk_reception.01.002 Создание профиля лаборанта-микробиолога
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Профили групп доступа'
	Тогда открылось окно 'Профили групп доступа'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Профиль групп доступа (создание)'
	И в поле 'Наименование' я ввожу текст 'Лаборант-микробиолог'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                                       |
		| 'Нет'     | 'Добавление изменение документ регистрация показателей поставщиков' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                  |
		| 'Нет'     | 'Чтение справочник виды анализов номенклатуры' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'         |
		| 'Нет'     | 'Чтение справочник виды номенклатуры' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'   |
		| 'Нет'     | 'Чтение справочник контрагенты' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    |
		| 'Нет'     | 'Чтение справочник номенклатура' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                         |
		| 'Нет'     | 'Чтение справочник номенклатура присоединенные файлы' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'   |
		| 'Нет'     | 'Чтение справочник организации' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                        |
		| 'Нет'     | 'Чтение справочник показатели анализов номенклатуры' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'     |
		| 'Нет'     | 'Чтение справочник пункты сборки' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'          |
		| 'Нет'     | 'Чтение справочник серии номенклатуры' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Нет'     | 'Раздел "Производство"'       |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Профиль групп доступа (создание) *' в течение 20 секунд
	Тогда открылось окно 'Профили групп доступа'
	И я закрываю окно 'Профили групп доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 01_milk_reception.01.002 Создание групп пользователей
	И Я создаю группу доступа "Базовые права" с профилем "Базовый профиль"
	И Я создаю группу доступа "Лаборанты приемки молока" с профилем "Лаборанты приемки молока"
	И Я создаю группу доступа "Приемщик молока" с профилем "Приемка молока по количеству"
	И Я создаю группу доступа "Бухгалтер" с профилем "Мастера сырцеха"
	И Я создаю группу доступа "Лаборант-микробиолог" с профилем "Лаборант-микробиолог"

Сценарий: 01_milk_reception.01.002 Создание пользователей
	И Я создаю пользователя "milk_rec_Лаборант приемки молока" с профилями "Базовые права;Лаборанты приемки молока"
	И Я создаю пользователя "milk_rec_Приемщик молока" с профилями "Базовые права;Приемщик молока"
	И Я создаю пользователя "milk_rec_Бухгалтер" с профилями "Базовые права;Бухгалтер"
	И Я создаю пользователя "milk_rec_Лаборант-микробиолог" с профилями "Базовые права;Лаборант-микробиолог"